.gsb_share {
    color: #959595 !important;
    cursor: pointer;
    font-size: 18px;
    line-height: 18px;
    padding: 6px 12px;
    position: relative;
    text-align: center;
    width: 10px;
}
.gsb_share_hidden {
    background: #fff;
    font-size: 22px;
    margin-right: calc(50% - 165px);
    opacity: 0;
    position: absolute;
    right: 0;
    top: 0;
    transform: translate3d(0px, -60px, 0px);
    transition: all 0.25s ease-in-out .2s;
    visibility: hidden;
    width: 330px;
    z-index: 1;
}
.gtr_post_footer > div:last-child .gsb_share_hidden {
    margin-right: calc(50% - 100px);
}
.gsb_share:hover .gsb_share_hidden {
    box-shadow: 20px 20px 30px -20px #aaa,0 0 12px -4px #999;
    opacity: 1;
    transform: translateY(-95px);
    visibility: visible;
}
.gsb_share_box {
    cursor: default;
    display: flex;
    flex-wrap: wrap;
}
.gsb_share_box::before {
    color: #555;
    content: "Поделись:";
    font-size: 18px;
    padding: 6px;
    width: 100%;
}
.gsb_share_box .gsb_ico {
    display: flex;
    flex-grow: 1;
    justify-content: center;
    padding: 12px;
    text-decoration: none;
    transition: none;
}
.gsb_copy:hover,
.gsb_share_box .gsb_ico:hover {
    color: #fff;
    opacity: .8;
    text-decoration: none !important;
}
.gsb_other {
    display: flex;
    flex-wrap: wrap;
    font-size: 16px;
    margin: 6px 0 12px;
    width: 100%;
}
.gsb_other {
    justify-content: center;
}
.gsb_copy {
    align-items: center;
    display: flex;
    justify-content: center;
    padding: 6px 12px;
    text-decoration: none;
}
.gsb_share_box .gsb_copy:hover {
    color: #555;
    text-decoration: none;
}
.gsb_copy span {
    margin: 0 0 0 6px;
}
.gsb_mess {
    bottom: -1px;
    color: #555;
    font-size: 13px;
    left: 2px;
    position: absolute;
}
.gsb_fb:hover{background:#5a80b1;}
.gsb_tw:hover{background:#00aced;}
.gsb_vk:hover{background:#587e9f;}
.gsb_ok:hover{background:#f2720c;}
.gsb_pin:hover{background:#c8232c;}
.gsb_tg:hover{background:#289fd9;}
.gsb_mr:hover{background:#168DE2;}

@media screen and (max-width:600px) {
    .gsb_share_hidden {
        margin-right: calc(50% - 90px);
    }
    .gtr_post_footer > div:last-child .gsb_share_hidden {
        margin-right: calc(50% - 50px);
    }
}
@media screen and (max-width:480px) {
    .gsb_share_hidden {
        margin-right: calc(50% - 88px);
        width: 306px;
    }
}